$result = @{}

1..16 | % {
    $s = 'REJK-P-TCS{0:d3}' -f $_
    $result[$s] = get-item "\\$s\d-drive\ifsbosystem\log\tt*"
}

foreach($k in $result.keys | sort) { 
    $first = $result[$k] | select -first 1
    $last = $result[$k] | select -last 1

    $firstTime = [datetime]::ParseExact($first.BaseName.Substring(2), 'yyMMddHHmmss', [cultureinfo]::InvariantCulture)
    $lastTime = [datetime]::ParseExact($last.BaseName.Substring(2), 'yyMMddHHmmss', [cultureinfo]::InvariantCulture)

    $span = New-TimeSpan -Start $firstTime -End $lastTime
    
    Write-Verbose -Verbose "Server: $k - First: $($first.Name) - Last: $($last.Name) - TimeSpan:$span" 
}